
%define	snap	20161219
%define commit	37422e9dba1a3a8cb8028b779dd546d43add6ef8
%define	_ver	%(echo %{version} | tr _ -)
Summary:	SPIR-V Tools
Name:		spirv-tools
Version:	v2016.7
Release:	0.s%{snap}.1
License:	MIT-like
Group:		Applications
Source0:	https://github.com/KhronosGroup/SPIRV-Tools/archive/%{commit}/%{name}-s%{snap}.tar.gz
# Source0-md5:	145629e57b35f2f398945ff4e3c7d5b0
Patch0:		cmake-lib64.patch
Patch1:		no-git-describe.patch
URL:		https://github.com/KhronosGroup/SPIRV-Tools
BuildRequires:	cmake
BuildRequires:	spirv-headers
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SPIR-V Tools project provides an API and commands for processing
SPIR-V modules.

The project includes an assembler, binary module parser, disassembler,
and validator for SPIR-V, all based on a common static library. The
library contains all of the implementation details, and is used in the
standalone tools whilst also enabling integration into other code
bases directly.

The interfaces are still under development, and are expected to
change.

SPIR-V is defined by the Khronos Group Inc.

%package libs
Summary:	SPIR-V Tools library
Group:		Libraries

%description libs
The SPIR-V Tools project provides an API for processing SPIR-V
modules.

%package devel
Summary:	Header files for %{name} library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	spirv-headers
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for %{name} library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki %{name}.

%prep
%setup -q -n SPIRV-Tools-%{commit}

%patch0 -p1
%patch1 -p1

%build
install -d build external/spirv-headers/include
ln -s /usr/include/spirv external/spirv-headers/include/spirv

cd build
%cmake \
	../

# we know better than utils/update_build_version.py
echo '"spirv-tools %{commit}\\n"' > build-version.inc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

cd build
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cd ..

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README.md syntax.md
%attr(755,root,root) %{_bindir}/spirv-*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libSPIRV-Tools.so
%attr(755,root,root) %{_libdir}/libSPIRV-Tools-opt.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/spirv-tools
%changelog
* Mon Apr 03 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/spirv-tools.git;a=log;h=master

* Mon Apr 03 2017 Jacek Konieczny <j.konieczny@eggsoft.pl> 7f4fc0e
- new snapshot for current vulkan-sdk

* Wed Nov 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> dfb2952
- revert last commit, spirv-headers should be fixed

* Wed Nov 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 43bb195
- BC: spirv-tools < v2016.6

* Wed Nov 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 85dcd29
- 20161027 snapshot for vulkan-sdk 1.0.32.0

* Thu Jul 14 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 625333b
- Up to 20160614 snapshot

* Fri Apr 08 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> 8036bc8
- Up to 20160329 snapshot

* Sat Mar 12 2016 Jacek Konieczny <jajcus@jajcus.net> 5acc8f9
- fixed snapshot date

* Sat Mar 12 2016 Jacek Konieczny <jajcus@jajcus.net> d0e0a7d
- Up to latest snapshot, as used by Vulkan SDK 1.0.5

* Tue Feb 23 2016 Jacek Konieczny <j.konieczny@eggsoft.pl> af1c7ed
- up to 20160222 snapshot

* Sat Feb 20 2016 Jacek Konieczny <jajcus@jajcus.net> 06d0d31
- Release: 1

* Fri Feb 19 2016 Jacek Konieczny <jajcus@jajcus.net> dc0fdaa
- new package

